> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_historical_volatility

> Provides historical volatility data for a given cryptocurrency. Historical volatility measures the degree of price variation over a past period and is useful for risk assessment and option pricing.

The response includes volatility statistics calculated from historical price movements. This data can be used for portfolio risk analysis and understanding market conditions.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_historical_volatility)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_historical_volatility
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_historical_volatility:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Provides historical volatility data for a given cryptocurrency.
        Historical volatility measures the degree of price variation over a past
        period and is useful for risk assessment and option pricing.


        The response includes volatility statistics calculated from historical
        price movements. This data can be used for portfolio risk analysis and
        understanding market conditions.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_historical_volatility)

      parameters:
        - description: The currency symbol
          in: query
          name: currency
          required: true
          schema:
            $ref: '#/components/schemas/currency'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 8387
                  jsonrpc: '2.0'
                  method: public/get_historical_volatility
                  params:
                    currency: BTC
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetHistoricalVolatilityResponse'
components:
  schemas:
    currency:
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
      type: string
    PublicGetHistoricalVolatilityResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          items:
            properties:
              timestamp:
                type: integer
              value:
                type: number
            required:
              - timestamp
              - value
            type: object
          type: array
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetHistoricalVolatilityResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 8387
                jsonrpc: '2.0'
                result:
                  - - 1549720800000
                    - 14.747743607344217
                  - - 1549720800000
                    - 14.747743607344217
                  - - 1549724400000
                    - 14.74257778551467
                  - - 1549728000000
                    - 14.73502799931767
                  - - 1549731600000
                    - 14.73502799931767
                  - - 1549735200000
                    - 14.73502799931767
                  - - 1550228400000
                    - 46.371891307340015
          schema:
            $ref: '#/components/schemas/PublicGetHistoricalVolatilityResponse'
      description: Success response

````